####Custom Recipes by Rsge####
#Valuables
val iron = <ore:ingotIron>;
val ironBlock = <ore:blockIron>;
val gold = <ore:ingotGold>;
val goldBlock = <ore:blockGold>;
val diamond = <ore:gemDiamond>;
val diamondBlock = <ore:blockDiamond>;
val emerald = <ore:gemEmerald>;
val emeraldBlock = <ore:blockEmerald>;
val copper = <ore:ingotCopper>;
val copperBlock = <ore:blockCopper>;
val tin = <ore:ingotTin>;
val tinBlock = <ore:blockTin>;
val silver = <ore:ingotSilver>;
val silverBlock = <ore:blockSilver>;
val silverPile = <witchery:ingredient:157>;
val projRedSilver = <ProjRed|Core:projectred.core.part:54>;
val aluminum = <TConstruct:materials:11>;
val steel = <ore:ingotSteel>;
val steelBlock = <ore:blockSteel>;
val lapis = <ore:gemLapis>;
val lapisBlock = <ore:blockLapis>;
val adamantium = <imc:item_adamantium_ingot>;
val adamantBlock = <imc:block_adamantium_block>;
val ardite = <TConstruct:materials:4>;
val cobalt = <TConstruct:materials:3>;
val spectreIngot = <RandomThings:ingredient:4>;
val unsIngot = <ExtraUtilities:unstableingot>;
val mobIngot = <ExtraUtilities:unstableingot:2>;
val electroIngot = <ProjRed|Core:projectred.core.part:55>;
val quartz = <ore:gemQuartz>;
val quartzBlock = <ore:blockQuartz>;
val redstone = <ore:dustRedstone>;
val redstoneBlock = <ore:blockRedstone>;
val enderPearl = <ore:pearlEnder>;
#Blocks
val planks = <ore:plankWood>;
val jungleSlab = <minecraft:wooden_slab:3>;
val tigerSlab = <Natura:plankSlab2:1>;
val crushedObsidian = <Railcraft:cube:4>;
val unstableBlock = <ExtraUtilities:decorativeBlock1:5>;
val diaMatrix = <ExtraUtilities:decorativeBlock1:12>;
val enderObsidian = <ExtraUtilities:decorativeBlock1:1>;
val magicalWood = <ExtraUtilities:decorativeBlock1:8>;
#Vanilla Stuff
val cauldron = <bettervanilla:bettervanilla_water_cauldron>;
val brewStand = <brewingapi:brewingapi_brewingStand2>;
val ironPressPlate = <minecraft:heavy_weighted_pressure_plate>;
val goldPressPlate = <minecraft:light_weighted_pressure_plate>;
#Slabs
val obsidianSlab = <Railcraft:slab:39>;
val ironSlab = <Railcraft:slab:6>;
val tinSlab = <Railcraft:slab:41>;
val steelSlab = <Railcraft:slab:43>;
#Pipes
val pipe = <ExtraUtilities:pipes>;
val invCable = <StevesFactoryManager:BlockCableName>;
val prpipe = <ProjRed|Transportation:projectred.transportation.pipe>;
#Botania
val enderAir = <Botania:manaResource:15>;
val pureDaisy = <Botania:specialFlower>.withTag({type:"puredaisy"});


##Bibliocraft##
#Chases
recipes.remove(<BiblioCraft:item.BiblioChase>);
recipes.addShaped(<BiblioCraft:item.BiblioChase>, [[tigerSlab, jungleSlab, tigerSlab], [jungleSlab, steel, jungleSlab], [tigerSlab, jungleSlab, tigerSlab]]);
recipes.addShapedMirrored(<BiblioCraft:item.BiblioChase>, [[jungleSlab, tigerSlab, jungleSlab], [tigerSlab, steel, tigerSlab], [jungleSlab, tigerSlab, jungleSlab]]);
#Typesetting Machine
recipes.remove(<BiblioCraft:Typesetting Machine>);
recipes.addShaped(<BiblioCraft:Typesetting Machine>, [[adamantium, <BiblioCraft:item.BiblioChase>, adamantium], [tigerSlab, jungleSlab, tigerSlab], [<minecraft:planks:4>, redstoneBlock, <minecraft:planks:4>]]);
#Printing Press
recipes.remove(<BiblioCraft:Printing Press>);
recipes.addShaped(<BiblioCraft:Printing Press>, [[adamantium, <Botania:blazeBlock>, adamantium], [tinSlab, goldPressPlate, tinSlab], [steelBlock, steelBlock, steelBlock]]);


##Botania##
#Blocks
recipes.remove(<Botania:altar>);
recipes.addShaped(<Botania:altar>, [[<minecraft:stone_slab:3>, <Botania:petal:*>, <minecraft:stone_slab:3>], [null, <minecraft:nether_star>, null], [<ore:cobblestone>, unstableBlock, <ore:cobblestone>]]);
recipes.remove(<Botania:brewery>);
recipes.addShaped(<Botania:brewery>, [[<Botania:livingrock>, brewStand, <Botania:livingrock>], [<Botania:livingrock>, <Botania:rune:8>, <Botania:livingrock>], [<Botania:livingrock>, <Botania:storage:2>, <Botania:livingrock>]]);
recipes.remove(<Botania:alchemyCatalyst>);
recipes.addShaped(<Botania:alchemyCatalyst>, [[<Botania:livingrock>, gold, <Botania:livingrock>], [brewStand, <Botania:manaResource:1>, brewStand], [<Botania:livingrock>, gold, <Botania:livingrock>]]);
recipes.addShapedMirrored(<Botania:alchemyCatalyst>, [[<Botania:livingrock>, brewStand, <Botania:livingrock>], [gold, <Botania:manaResource:1>, gold], [<Botania:livingrock>, brewStand, <Botania:livingrock>]]);
#Spreader
recipes.remove(<Botania:spreader>);
recipes.addShaped(<Botania:spreader>, [[<Botania:livingwood>, <Botania:livingwood>, <Botania:livingwood>], [gold, <Botania:petal:*>, null], [<Botania:livingwood>, <Botania:livingwood>, <Botania:livingwood>]]);
recipes.remove(<Botania:spreader:2>);
recipes.addShaped(<Botania:spreader:2>, [[<Botania:dreamwood>, <Botania:dreamwood>, <Botania:dreamwood>], [<Botania:manaResource:7>, <Botania:manaPetal:*>, null], [<Botania:dreamwood>, <Botania:dreamwood>, <Botania:dreamwood>]]);
#Vitreous Pick
recipes.remove(<Botania:glassPick>);
recipes.addShaped(<Botania:glassPick>, [[<minecraft:glass>, gold, <minecraft:glass>], [null, <Botania:manaResource:3>, null], [null, <Botania:manaResource:3>, null]]);
#Seeds
mods.botania.ManaInfusion.removeRecipe(<Botania:grassSeeds>);
recipes.addShapeless(<Botania:grassSeeds>, [<minecraft:tallgrass:1>, <ore:listAllseed>]);
mods.botania.ManaInfusion.removeRecipe(<Botania:grassSeeds:1>);
recipes.addShapeless(<Botania:grassSeeds:1>, [<minecraft:deadbush>, <ore:listAllseed>]);
#Pure Daisy
recipes.addShaped(pureDaisy, [[<minecraft:water_bucket>, <Botania:petal>, <minecraft:water_bucket>], [<Botania:petal>, <ore:listAllseed>, <Botania:petal>], [<minecraft:water_bucket>, <Botania:petal>, <minecraft:water_bucket>]]);
recipes.addShapedMirrored(pureDaisy, [[<Botania:petal>, <minecraft:water_bucket>, <Botania:petal>], [<minecraft:water_bucket>, <ore:listAllseed>, <minecraft:water_bucket>], [<Botania:petal>, <minecraft:water_bucket>, <Botania:petal>]]);


##ChickenChunks##
recipes.remove(<ChickenChunks:chickenChunkLoader>);
recipes.addShaped(<ChickenChunks:chickenChunkLoader>, [[null, enderPearl, null], [adamantium, goldBlock, adamantium], [emerald, <minecraft:enchanting_table>, emerald]]);


##EnderStorage##
#Ender Chest
recipes.remove(<EnderStorage:enderChest:*>);
recipes.addShaped(<EnderStorage:enderChest>, [[<minecraft:blaze_rod>, <chisel:woolen_clay:*>, <minecraft:blaze_rod>], [crushedObsidian, <IronChest:BlockIronChest:6>, crushedObsidian], [<minecraft:blaze_rod>, enderPearl, <minecraft:blaze_rod>]]);
recipes.addShapeless(<EnderStorage:enderChest:4096>, [<EnderStorage:enderChest>, cauldron, <Translocator:translocator:1>]);
#Ender Pouch
recipes.remove(<EnderStorage:enderPouch:*>);
recipes.addShaped(<EnderStorage:enderPouch>, [[<minecraft:blaze_powder>, <minecraft:leather>, <minecraft:blaze_powder>], [<minecraft:leather>, <EnderStorage:enderChest>, <minecraft:leather>], [<minecraft:blaze_powder>, <harvestcraft:hardenedleatherItem>, <minecraft:blaze_powder>]]);


##Extra Utilities##
#Angel Ring
recipes.remove(<ExtraUtilities:angelRing:*>);
recipes.addShaped(<ExtraUtilities:angelRing>, [[unsIngot, goldBlock, unsIngot], [<minecraft:nether_star>, emeraldBlock, <minecraft:nether_star>], [unsIngot, adamantBlock, unsIngot]]);
recipes.addShapeless(<ExtraUtilities:angelRing>, [<minecraft:glass>, <ExtraUtilities:angelRing:*>, <minecraft:glass>]);
recipes.addShapeless(<ExtraUtilities:angelRing:1>, [<minecraft:feather>, <ExtraUtilities:angelRing>, <minecraft:feather>]);
recipes.addShapeless(<ExtraUtilities:angelRing:2>, [<ore:dyePink>, <ExtraUtilities:angelRing>, <ore:dyePurple>]);
recipes.addShapeless(<ExtraUtilities:angelRing:3>, [<minecraft:leather>, <ExtraUtilities:angelRing>, <minecraft:leather>]);
recipes.addShapeless(<ExtraUtilities:angelRing:4>, [<minecraft:gold_nugget>, <ExtraUtilities:angelRing>, <minecraft:gold_nugget>]);
#Ender-infused Obsidian
recipes.remove(enderObsidian);
recipes.addShaped(enderObsidian*2, [[enderPearl, <minecraft:obsidian>, enderPearl], [crushedObsidian, <minecraft:ender_eye>, crushedObsidian], [enderPearl, <minecraft:obsidian>, enderPearl]]);
#Diamond-Etched Computational Matrix
recipes.remove(diaMatrix);
recipes.addShaped(diaMatrix, [[<ExtraUtilities:decorativeBlock1:2>, diamondBlock, <ExtraUtilities:decorativeBlock1:2>], [diamond, enderObsidian, diamond], [<ExtraUtilities:decorativeBlock1:2>, emerald, <ExtraUtilities:decorativeBlock1:2>]]);
#Ender-Flux Crystal
recipes.remove(<ExtraUtilities:endConstructor:2>);
recipes.addShaped(<ExtraUtilities:endConstructor:2>, [[null, <minecraft:ender_eye>, null], [<minecraft:ender_eye>, enderObsidian, <minecraft:ender_eye>], [enderObsidian, enderObsidian, enderObsidian]]);
#Ender-Thermic Pump
recipes.remove(<ExtraUtilities:enderThermicPump>);
recipes.addShaped(<ExtraUtilities:enderThermicPump>, [[enderObsidian, adamantBlock, enderObsidian], [unsIngot, <minecraft:ender_eye>, unsIngot], [enderObsidian, <emeraldobsidianmod:emeraldobsidianmod_emeraldpickaxe>, enderObsidian]]);
#Ender Quarry
recipes.remove(<ExtraUtilities:enderQuarry>);
recipes.addShaped(<ExtraUtilities:enderQuarry>, [[enderObsidian, <TwilightForest:tile.TFSapling:1>, enderObsidian], [<ExtraUtilities:decorativeBlock1:11>, diaMatrix, <ExtraUtilities:decorativeBlock1:11>], [<ExtraUtilities:enderThermicPump>, <emeraldobsidianmod:emeraldobsidianmod_obsidianpickaxe>, <ExtraUtilities:enderThermicPump>]]);
#Conveyor
recipes.remove(<ExtraUtilities:conveyor>);
recipes.addShaped(<ExtraUtilities:conveyor>*8, [[<minecraft:rail>, <minecraft:rail>, <minecraft:rail>], [steel, redstoneBlock, steel], [<minecraft:rail>, <minecraft:rail>, <minecraft:rail>]]);
#Drums
recipes.remove(<ExtraUtilities:drum>);
recipes.addShaped(<ExtraUtilities:drum>, [[iron, ironPressPlate, iron], [iron, cauldron, iron], [iron, ironPressPlate, iron]]);
recipes.remove(<ExtraUtilities:drum:1>);
recipes.addShaped(<ExtraUtilities:drum:1>, [[<ExtraUtilities:bedrockiumIngot>, goldPressPlate, <ExtraUtilities:bedrockiumIngot>], [<ExtraUtilities:bedrockiumIngot>, cauldron, <ExtraUtilities:bedrockiumIngot>], [<ExtraUtilities:bedrockiumIngot>, goldPressPlate, <ExtraUtilities:bedrockiumIngot>]]);
#Bedrockium
recipes.remove(<ExtraUtilities:bedrockiumIngot>);
recipes.addShapeless(<ExtraUtilities:bedrockiumIngot>*9, [<ExtraUtilities:block_bedrockium>]);
furnace.remove(<ExtraUtilities:block_bedrockium>);
mods.railcraft.BlastFurnace.addRecipe(<ExtraUtilities:cobblestone_compressed:7>, true, false, 5120, <ExtraUtilities:bedrockiumIngot>*4);
#Ender Quarry Upgrades#
recipes.remove(<ExtraUtilities:enderQuarryUpgrade:*>);
#Blank
mods.extraUtils.QED.addShapedRecipe(<ExtraUtilities:enderQuarryUpgrade>, [[null, enderObsidian, null], [enderObsidian, diaMatrix, enderObsidian], [null, enderObsidian, null]]);
#Silk Touch
recipes.addShaped(<ExtraUtilities:enderQuarryUpgrade:2>, [[<imc:item_adamantium_pickaxe>.withTag({ench: [{lvl: 1 as short, id: 33 as short}]}), <RandomThings:ingredient:6>, <imc:item_adamantium_pickaxe>.withTag({ench: [{lvl: 1 as short, id: 33 as short}]})], [redstoneBlock, <ExtraUtilities:enderQuarryUpgrade>, lapisBlock]]);
#Fortune I
recipes.addShaped(<ExtraUtilities:enderQuarryUpgrade:3>, [[<minecraft:golden_pickaxe>.withTag({ench: [{lvl: 1 as short, id: 35 as short}]}), <RandomThings:ingredient:6>, <minecraft:golden_pickaxe>.withTag({ench: [{lvl: 1 as short, id: 35 as short}]})], [redstoneBlock, <ExtraUtilities:enderQuarryUpgrade>, lapisBlock]]);
#Fortune II
recipes.addShaped(<ExtraUtilities:enderQuarryUpgrade:4>, [[<Botania:manasteelPick>.withTag({ench: [{lvl: 2 as short, id: 35 as short}]}), <RandomThings:ingredient:6>, <Botania:manasteelPick>.withTag({ench: [{lvl: 2 as short, id: 35 as short}]})], [redstoneBlock, <ExtraUtilities:enderQuarryUpgrade:3>, lapisBlock]]);
#Fortune III
recipes.addShaped(<ExtraUtilities:enderQuarryUpgrade:5>, [[<Botania:elementiumPick>.withTag({ench: [{lvl: 3 as short, id: 35 as short}]}), <RandomThings:ingredient:6>, <Botania:elementiumPick>.withTag({ench: [{lvl: 3 as short, id: 35 as short}]})], [redstoneBlock, <ExtraUtilities:enderQuarryUpgrade:4>, lapisBlock]]);
#Speed I
recipes.addShaped(<ExtraUtilities:enderQuarryUpgrade:6>, [[<minecraft:diamond_pickaxe>.withTag({ench: [{lvl: 1 as short, id: 32 as short}]}), <RandomThings:ingredient:6>, <minecraft:diamond_pickaxe>.withTag({ench: [{lvl: 1 as short, id: 32 as short}]})], [redstoneBlock, <ExtraUtilities:enderQuarryUpgrade>, lapisBlock]]);
#Speed II
recipes.addShaped(<ExtraUtilities:enderQuarryUpgrade:7>, [[<emeraldobsidianmod:emeraldobsidianmod_emeraldpickaxe>.withTag({ench: [{lvl: 5 as short, id: 32 as short}]}), <RandomThings:ingredient:6>, <emeraldobsidianmod:emeraldobsidianmod_emeraldpickaxe>.withTag({ench: [{lvl: 5 as short, id: 32 as short}]})], [redstoneBlock, <ExtraUtilities:enderQuarryUpgrade:6>, lapisBlock]]);
#Speed III
recipes.addShaped(<ExtraUtilities:enderQuarryUpgrade:8>, [[<ExtraUtilities:destructionpickaxe>.withTag({ench: [{lvl: 3 as short, id: 32 as short}]}), <RandomThings:ingredient:6>, <ExtraUtilities:destructionpickaxe>.withTag({ench: [{lvl: 10 as short, id: 32 as short}]})], [redstoneBlock, <ExtraUtilities:enderQuarryUpgrade:7>, lapisBlock]]);
#Pump
recipes.addShaped(<ExtraUtilities:enderQuarryUpgrade:9>, [[<minecraft:bucket>, <minecraft:bucket>, <minecraft:bucket>], [redstoneBlock, <ExtraUtilities:enderQuarryUpgrade>, lapisBlock]]);
#Nodes#
#Item
recipes.remove(<ExtraUtilities:extractor_base>);
recipes.addShaped(<ExtraUtilities:extractor_base>, [[null, <ExtraUtilities:pipes:*>, null], [enderPearl, redstoneBlock, enderPearl], [crushedObsidian, <IronChest:BlockIronChest:3>, crushedObsidian]]);
#Liquid
recipes.remove(<ExtraUtilities:extractor_base:6>);
recipes.addShaped(<ExtraUtilities:extractor_base:6>, [[null, <ExtraUtilities:pipes:*>, null], [enderPearl, lapisBlock, enderPearl], [crushedObsidian, <Railcraft:machine.beta:14>, crushedObsidian]]);
#World Interaction
recipes.remove(<ExtraUtilities:nodeUpgrade:2>);
recipes.addShaped(<ExtraUtilities:nodeUpgrade:2>, [[lapis, steel, lapis], [steel, <minecraft:iron_pickaxe>, steel], [lapis, steel, lapis]]);
recipes.addShapedMirrored(<ExtraUtilities:nodeUpgrade:2>, [[steel, lapis, steel], [lapis, <minecraft:iron_pickaxe>, lapis], [steel, lapis, steel]]);
#Pipes#
recipes.remove(<ExtraUtilities:pipes:*>);
#Transfer
recipes.addShaped(pipe*16, [[steelSlab, <Railcraft:slab:39>, ironSlab], [<ExtraUtilities:decorativeBlock2:5>, enderPearl, <ExtraUtilities:decorativeBlock2:5>], [steelSlab, <Railcraft:slab:39>, ironSlab]]);
recipes.addShapedMirrored(pipe*16, [[ironSlab, <Railcraft:slab:39>, steelSlab], [<ExtraUtilities:decorativeBlock2:5>, enderPearl, <ExtraUtilities:decorativeBlock2:5>], [ironSlab, <Railcraft:slab:39>, steelSlab]]);
#Sorting
recipes.addShapeless(<ExtraUtilities:pipes:8>*2, [pipe, pipe, gold, gold]);
#Filter
recipes.addShaped(<ExtraUtilities:pipes:9>*3, [[<ore:dyeWhite>, <ore:dyeGreen>, <ore:dyeBlue>], [pipe, pipe, pipe], [<ore:dyeBlack>, <ore:dyeYellow>, <ore:dyeRed>]]);
#Rationing
recipes.addShapeless(<ExtraUtilities:pipes:10>*2, [pipe, pipe, lapis, lapis]);
#Energy
recipes.addShaped(<ExtraUtilities:pipes:11>*16, [[ironSlab, <Railcraft:slab:39>, ironSlab], [<ExtraUtilities:decorativeBlock2:5>, redstone, <ExtraUtilities:decorativeBlock2:5>], [ironSlab, <Railcraft:slab:39>, ironSlab]]);
#Crossover
recipes.addShaped(<ExtraUtilities:pipes:12>, [[null, pipe, null], [pipe, redstoneBlock, pipe], [null, pipe, null]]);
#Mod Sorting
recipes.addShapeless(<ExtraUtilities:pipes:13>, [<ExtraUtilities:pipes:8>, redstone, redstone]);
#Energy Extraction
recipes.addShapeless(<ExtraUtilities:pipes:14>, [<ExtraUtilities:pipes:11>, gold, gold, <minecraft:blaze_powder>]);
#Hyper-Rationing
recipes.remove(<ExtraUtilities:pipes.1>);
recipes.addShaped(<ExtraUtilities:pipes.1>, [[<minecraft:stone_button>, <minecraft:stone_button>, <minecraft:stone_button>], [<minecraft:glass>, pipe, lapis], [<minecraft:stone_button>, <minecraft:stone_button>, <minecraft:stone_button>]]);
#Generators#
recipes.remove(<ExtraUtilities:generator:*>);
#Survivalist
recipes.addShaped(<ExtraUtilities:generator>, [[<minecraft:cobblestone>, <minecraft:blaze_powder>, <minecraft:cobblestone>], [copper, <minecraft:piston>, copper], [redstone, <Natura:NetherFurnace>, redstone]]);
#Furnace
recipes.addShaped(<ExtraUtilities:generator:1>, [[gold, <minecraft:blaze_powder>, gold], [iron, ironBlock, iron], [redstoneBlock, <Natura:NetherFurnace>, redstoneBlock]]);
#Lava
recipes.addShaped(<ExtraUtilities:generator:2>, [[gold, <minecraft:blaze_rod>, gold], [adamantium, ironBlock, adamantium], [redstoneBlock, <Natura:NetherFurnace>, redstoneBlock]]);
#Ender
recipes.addShaped(<ExtraUtilities:generator:3>, [[enderPearl, <ExtraUtilities:plant/ender_lilly>, enderPearl], [<minecraft:ender_eye>, steelBlock, <minecraft:ender_eye>], [redstoneBlock, <Natura:NetherFurnace>, redstoneBlock]]);
#Heated Redstone
recipes.addShaped(<ExtraUtilities:generator:4>, [[redstoneBlock, redstoneBlock, redstoneBlock], [copper, <ExtraUtilities:generator:2>, copper], [<minecraft:blaze_powder>, <Natura:NetherFurnace>, <minecraft:blaze_powder>]]);
#Culinary
recipes.addShaped(<ExtraUtilities:generator:5>, [[tin, copper, tin], [copper, <ExtraUtilities:generator>, copper], [redstoneBlock, <Natura:NetherFurnace>, redstoneBlock]]);
#Potions
recipes.addShaped(<ExtraUtilities:generator:6>, [[<minecraft:obsidian>, <minecraft:obsidian>, <minecraft:obsidian>], [crushedObsidian, <minecraft:enchanting_table>, crushedObsidian], [redstoneBlock, <Natura:NetherFurnace>, redstoneBlock]]);
#Solar
recipes.addShaped(<ExtraUtilities:generator:7>, [[lapis, diamond, lapis], [quartz, <Botania:storage:2>, quartz], [redstoneBlock, <Natura:NetherFurnace>, redstoneBlock]]);
#TNT
recipes.addShaped(<ExtraUtilities:generator:8>, [[<minecraft:tnt>, <imc:block_mining_tnt>, <minecraft:tnt>], [<imc:block_mining_tnt>, copperBlock, <imc:block_mining_tnt>], [redstoneBlock, <Natura:NetherFurnace>, redstoneBlock]]);
#Pink
recipes.addShaped(<ExtraUtilities:generator:9>, [[<minecraft:wool:6>, <ExtraUtilities:decorativeBlock2:8>, <minecraft:wool:6>], [<minecraft:wool:6>, <ExtraUtilities:generator>, <minecraft:wool:6>], [redstoneBlock, <Natura:NetherFurnace>, redstoneBlock]]);
#High-temp Furnace
recipes.addShaped(<ExtraUtilities:generator:10>, [[copper, steel, copper], [tin, <ExtraUtilities:generator:1>, tin], [redstoneBlock, <Natura:NetherFurnace>, redstoneBlock]]);
#Nether Star
recipes.addShaped(<ExtraUtilities:generator:11>, [[<minecraft:skull:1>, <minecraft:nether_star>, <minecraft:skull:1>], [<minecraft:skull:1>, unstableBlock, <minecraft:skull:1>], [redstoneBlock, <Natura:NetherFurnace>, redstoneBlock]]);
#UnstableFix#
#Builder's Wand
recipes.remove(<ExtraUtilities:builderswand>);
recipes.addShaped(<ExtraUtilities:builderswand>, [[unsIngot, null], [null, <minecraft:obsidian>]]);
recipes.addShapedMirrored(<ExtraUtilities:builderswand>, [[null, unsIngot], [<minecraft:obsidian>, null]]);
#Super Builder's Wand
recipes.remove(<ExtraUtilities:creativebuilderswand>);
recipes.addShaped(<ExtraUtilities:creativebuilderswand>, [[mobIngot, null], [null, <minecraft:obsidian>]]);
recipes.addShapedMirrored(<ExtraUtilities:creativebuilderswand>, [[null, mobIngot], [<minecraft:obsidian>, null]]);
#Etheric Sword
recipes.remove(<ExtraUtilities:ethericsword>);
recipes.addShaped(<ExtraUtilities:ethericsword>, [[null, unsIngot, null], [null, unsIngot, null], [null, <minecraft:obsidian>, null]]);
#Kikoku
recipes.remove(<ExtraUtilities:lawSword>);
recipes.addShaped(<ExtraUtilities:lawSword>, [[null, mobIngot, null], [null, mobIngot, null], [null, <minecraft:obsidian>, null]]);
#Pick
recipes.remove(<ExtraUtilities:destructionpickaxe>);
recipes.addShaped(<ExtraUtilities:destructionpickaxe>, [[unsIngot, unsIngot, unsIngot], [null, <minecraft:obsidian>, null], [null, <minecraft:obsidian>, null]]);
recipes.addShaped(<ExtraUtilities:destructionpickaxe>.withTag({ench: [{lvl: 10 as short, id: 32 as short}]}), [[mobIngot, mobIngot, mobIngot], [null, <minecraft:obsidian>, null], [null, <minecraft:obsidian>, null]]);
#Shovel
recipes.remove(<ExtraUtilities:erosionShovel>);
recipes.addShaped(<ExtraUtilities:erosionShovel>, [[null, unsIngot, null], [null, <minecraft:obsidian>, null], [null, <minecraft:obsidian>, null]]);
recipes.addShaped(<ExtraUtilities:erosionShovel>.withTag({ench: [{lvl: 10 as short, id: 32 as short}]}), [[null, mobIngot, null], [null, <minecraft:obsidian>, null], [null, <minecraft:obsidian>, null]]);
#Axe
recipes.remove(<ExtraUtilities:defoliageAxe>);
recipes.addShaped(<ExtraUtilities:defoliageAxe>, [[unsIngot, unsIngot, null], [unsIngot, <minecraft:obsidian>, null], [null, <minecraft:obsidian>, null]]);
recipes.addShaped(<ExtraUtilities:defoliageAxe>.withTag({ench: [{lvl: 10 as short, id: 32 as short}]}), [[unsIngot, unsIngot, null], [unsIngot, <minecraft:obsidian>, null], [null, <minecraft:obsidian>, null]]);
#Shears
recipes.remove(<ExtraUtilities:shears>);
recipes.addShaped(<ExtraUtilities:shears>, [[unsIngot, <ExtraUtilities:angelBlock>], [<ExtraUtilities:angelBlock>, unsIngot]]);
recipes.addShapedMirrored(<ExtraUtilities:shears>, [[<ExtraUtilities:angelBlock>, unsIngot], [unsIngot, <ExtraUtilities:angelBlock>]]);
recipes.addShaped(<ExtraUtilities:shears>.withTag({ench: [{lvl: 10 as short, id: 34 as short}]}), [[mobIngot, <ExtraUtilities:angelBlock>], [<ExtraUtilities:angelBlock>, mobIngot]]);
recipes.addShapedMirrored(<ExtraUtilities:shears>.withTag({ench: [{lvl: 10 as short, id: 34 as short}]}), [[<ExtraUtilities:angelBlock>, mobIngot], [mobIngot, <ExtraUtilities:angelBlock>]]);
#Unstable Nugget
recipes.remove(<ExtraUtilities:unstableingot:1>);


##Improving Minecraft##
#Mining TNT
recipes.remove(<imc:block_mining_tnt>);
recipes.addShaped(<imc:block_mining_tnt> * 24, [[magicalWood, <TwilightForest:item.fieryIngot>, magicalWood], [<minecraft:gunpowder>, <minecraft:tnt>, <minecraft:gunpowder>], [planks, <TwilightForest:item.fieryIngot>, planks]]);
#Food Ore Dict#
#Horse
<ore:listAllmeatraw>.add(<imc:item_raw_horse>);
<ore:listAllmeatcooked>.add(<imc:item_cooked_horse>);
#Squid
<ore:listAllmeatraw>.add(<imc:item_raw_squid>);
<ore:listAllmeatcooked>.add(<imc:item_cooked_squid>);
#Mutton
<ore:listAllmeatraw>.add(<imc:item_raw_mutton>);
<ore:listAllmuttonraw>.add(<imc:item_raw_mutton>);
<ore:foodMuttonraw>.add(<imc:item_raw_mutton>);
<ore:listAllmeatcooked>.add(<imc:item_cooked_mutton>);
<ore:listAllmuttoncooked>.add(<imc:item_cooked_mutton>);
<ore:foodMuttoncooked>.add(<imc:item_cooked_mutton>);


##JABBA##
recipes.remove(<JABBA:moverDiamond>);
recipes.remove(<JABBA:tuningFork>);
recipes.addShaped(<JABBA:tuningFork>, [[null, iron, null], [null, <minecraft:ender_eye>, iron], [tin, null, null]]);


##Malisis Doors##
recipes.remove(<malisisdoors:rustyLadder>);
recipes.addShaped(<malisisdoors:rustyLadder>, [[iron, <minecraft:brick>, iron]]);
recipes.remove(<malisisdoors:item.curtain>);
recipes.addShaped(<malisisdoors:item.curtain>, [[<minecraft:wool:*>, <minecraft:wool:*>, null], [<minecraft:wool:*>, <minecraft:string>, null], [<minecraft:wool:*>, <minecraft:wool:*>, null]]);


##Minecraft##
#Ender Chest
recipes.remove(<minecraft:ender_chest>);
recipes.addShaped(<minecraft:ender_chest>, [[<minecraft:obsidian>, <minecraft:obsidian>, <minecraft:obsidian>], [crushedObsidian, enderPearl, crushedObsidian], [<minecraft:obsidian>, <minecraft:obsidian>, <minecraft:obsidian>]]);
#Bowls
recipes.remove(<minecraft:bowl>);
recipes.remove(<Natura:natura.emptybowl>);
recipes.addShaped(<minecraft:bowl>, [[planks, null, planks], [null, planks, null]]);
#Witchery Seed Drops
vanilla.seeds.addSeed(<witchery:seedssnowbell>.weight(1));
vanilla.seeds.addSeed(<witchery:seedsmandrake>.weight(1));
vanilla.seeds.addSeed(<witchery:seedswolfsbane>.weight(0.1));
vanilla.seeds.addSeed(<witchery:seedsbelladonna>.weight(1));
vanilla.seeds.addSeed(<witchery:seedsartichoke>.weight(1));


##OpenBlocks##
#Block Machines
recipes.remove(<OpenBlocks:blockbreaker>);
recipes.addShaped(<OpenBlocks:blockbreaker>, [[<ore:cobblestone>, copper, <ore:cobblestone>], [<ExtraUtilities:destructionpickaxe>, <minecraft:piston>, redstone], [<ore:cobblestone>, copper, <ore:cobblestone>]]);
recipes.addShapedMirrored(<OpenBlocks:blockbreaker>, [[<ore:cobblestone>, copper, <ore:cobblestone>], [redstone, <minecraft:piston>, <ExtraUtilities:destructionpickaxe>], [<ore:cobblestone>, copper, <ore:cobblestone>]]);
recipes.remove(<OpenBlocks:blockPlacer>);
recipes.addShaped(<OpenBlocks:blockPlacer>, [[<Natura:natura.bow.fusewood>, <minecraft:piston>, <ExtraUtilities:angelBlock>], [<ExtraUtilities:builderswand>, <minecraft:dispenser>, enderAir], [<Natura:natura.bow.fusewood>, <minecraft:piston>, <ExtraUtilities:angelBlock>]]);
recipes.addShapedMirrored(<OpenBlocks:blockPlacer>, [[<ExtraUtilities:angelBlock>, <minecraft:piston>, <Natura:natura.bow.fusewood>], [enderAir, <minecraft:dispenser>, <ExtraUtilities:builderswand>], [<ExtraUtilities:angelBlock>, <minecraft:piston>, <Natura:natura.bow.fusewood>]]);
#Other
recipes.remove(<OpenBlocks:xpdrain>);
recipes.addShaped(<OpenBlocks:xpdrain>, [[<minecraft:iron_bars>, <minecraft:iron_bars>, <minecraft:iron_bars>], [<minecraft:iron_bars>, adamantium, <minecraft:iron_bars>], [<minecraft:iron_bars>, <minecraft:iron_bars>, <minecraft:iron_bars>]]);
recipes.remove(<OpenBlocks:vacuumhopper>);
recipes.addShapeless(<OpenBlocks:vacuumhopper>, [<minecraft:hopper>, <minecraft:ender_eye>, crushedObsidian, <IronChest:BlockIronChest:3>]);
recipes.remove(<OpenBlocks:fan>);
mods.extraUtils.QED.addShapedRecipe(<OpenBlocks:fan>, [[<chisel:technical2:1>, <chisel:technical2:1>, <chisel:technical2:1>], [null, aluminum, null], [aluminum, ironSlab, aluminum]]);
recipes.remove(<OpenBlocks:hangglider>);
recipes.addShaped(<OpenBlocks:hangglider>, [[null, iron, null], [<OpenBlocks:generic>, <ore:stickWood>, <OpenBlocks:generic>], [null, iron, null]]);


##Pixelmon##
recipes.addShaped(<pixelmon:Articuno_Shrine>, [[null, <pixelmon:item.Great_Ball>, null], [<pixelmon:item.Great_Ball>, <minecraft:nether_star>, <pixelmon:item.Great_Ball>], [<pixelmon:item.Water_Stone>, <pixelmon:item.Cloning_Machine>, <pixelmon:item.Water_Stone>]]);
recipes.addShaped(<pixelmon:Zapdos_Shrine>, [[null, <pixelmon:item.Fast_Ball>, null], [<pixelmon:item.Fast_Ball>, <minecraft:nether_star>, <pixelmon:item.Fast_Ball>], [<pixelmon:item.Thunder_Stone>, <pixelmon:item.Cloning_Machine>, <pixelmon:item.Thunder_Stone>]]);
recipes.addShaped(<pixelmon:Moltres_Shrine>, [[null, <pixelmon:item.Poke_Ball>, null], [<pixelmon:item.Poke_Ball>, <minecraft:nether_star>, <pixelmon:item.Poke_Ball>], [<pixelmon:item.Fire_Stone>, <pixelmon:item.Cloning_Machine>, <pixelmon:item.Fire_Stone>]]);


##Project: Red##
#Barrel
recipes.remove(<ProjRed|Exploration:projectred.exploration.barrel>);
#Pipes#
#Pipe
recipes.remove(prpipe);
recipes.addShaped(prpipe*4, [[crushedObsidian, <ExtraUtilities:decorativeBlock2:5>, crushedObsidian]]);
#Routed Junction
recipes.remove(<ProjRed|Transportation:projectred.transportation.pipe:1>);
recipes.addShaped(<ProjRed|Transportation:projectred.transportation.pipe:1>*4, [[<ProjRed|Core:projectred.core.part:33>, <ProjRed|Core:projectred.core.part:13>, <ProjRed|Core:projectred.core.part:32>], [diamond, prpipe, emerald], [<ProjRed|Core:projectred.core.part:32>, <ProjRed|Core:projectred.core.part:13>, <ProjRed|Core:projectred.core.part:33>]]);
recipes.addShapedMirrored(<ProjRed|Transportation:projectred.transportation.pipe:1>*4, [[<ProjRed|Core:projectred.core.part:32>, <ProjRed|Core:projectred.core.part:13>, <ProjRed|Core:projectred.core.part:33>], [diamond, prpipe, emerald], [<ProjRed|Core:projectred.core.part:33>, <ProjRed|Core:projectred.core.part:13>, <ProjRed|Core:projectred.core.part:32>]]);
#Pressure Tube
recipes.remove(<ProjRed|Transportation:projectred.transportation.pipe:7>);
recipes.addShaped(<ProjRed|Transportation:projectred.transportation.pipe:7>, [[<minecraft:gold_nugget>, <ExtraUtilities:decorativeBlock2>, <minecraft:gold_nugget>], [<ExtraUtilities:decorativeBlock2>, prpipe, <ExtraUtilities:decorativeBlock2>], [<minecraft:gold_nugget>, <ExtraUtilities:decorativeBlock2>, <minecraft:gold_nugget>]]);
#Pressure Resistance Tube
recipes.remove(<ProjRed|Transportation:projectred.transportation.pipe:8>);
recipes.addShapeless(<ProjRed|Transportation:projectred.transportation.pipe:8>, [<ProjRed|Transportation:projectred.transportation.pipe:7>, copper]);
#Parts#
#Null Logic Chip
recipes.remove(<ProjRed|Core:projectred.core.part:44>);
recipes.addShaped(<ProjRed|Core:projectred.core.part:44>*3, [[gold, <minecraft:paper>, <minecraft:paper>], [gold, <Railcraft:part.circuit>, copper], [gold, null, null]]);
#Electrotine Ingot
recipes.remove(<ProjRed|Core:projectred.core.part:57>);
recipes.addShaped(<ProjRed|Core:projectred.core.part:57>, [[null, <ProjRed|Exploration:projectred.exploration.stone:11>, null], [<ProjRed|Exploration:projectred.exploration.stone:11>, <ProjRed|Exploration:projectred.exploration.stone:10>, <ProjRed|Exploration:projectred.exploration.stone:11>], [null, <ProjRed|Exploration:projectred.exploration.stone:11>, null]]);
furnace.remove(electroIngot);
mods.railcraft.BlastFurnace.addRecipe(<ProjRed|Core:projectred.core.part:57>, true, false, 1280, electroIngot);
#Electro Silicon
recipes.remove(<ProjRed|Core:projectred.core.part:58>);
recipes.addShaped(<ProjRed|Core:projectred.core.part:58>, [[null, <ProjRed|Exploration:projectred.exploration.stone:11>, null], [<ProjRed|Exploration:projectred.exploration.stone:11>, <ProjRed|Core:projectred.core.part:12>, <ProjRed|Exploration:projectred.exploration.stone:11>], [null, <ProjRed|Exploration:projectred.exploration.stone:11>, null]]);
furnace.remove(<ProjRed|Core:projectred.core.part:59>);
mods.railcraft.BlastFurnace.addRecipe(<ProjRed|Core:projectred.core.part:58>, true, false, 1280, <ProjRed|Core:projectred.core.part:59>);
#Motor
recipes.remove(<ProjRed|Core:projectred.core.part:15>);
recipes.addShaped(<ProjRed|Core:projectred.core.part:15>, [[null, iron, null], [tin, <ProjRed|Core:projectred.core.part:16>, tin], [redstone, <ProjRed|Core:projectred.core.part:16>, redstone]]);
#Machines#
#Block Breaker
recipes.remove(<ProjRed|Expansion:projectred.expansion.machine2>);
recipes.addShaped(<ProjRed|Expansion:projectred.expansion.machine2>, [[<ore:cobblestone>, <ExtraUtilities:destructionpickaxe>, <ore:cobblestone>], [iron, <minecraft:piston>, iron], [<ore:cobblestone>, redstone, <ore:cobblestone>]]);
recipes.addShapedMirrored(<ProjRed|Expansion:projectred.expansion.machine2>, [[<ore:cobblestone>, redstone, <ore:cobblestone>], [iron, <minecraft:piston>, iron], [<ore:cobblestone>, <ExtraUtilities:destructionpickaxe>, <ore:cobblestone>]]);
#Block Placer
recipes.remove(<ProjRed|Expansion:projectred.expansion.machine2:2>);
recipes.addShaped(<ProjRed|Expansion:projectred.expansion.machine2:2>, [[<Natura:natura.bow.fusewood>, <ExtraUtilities:builderswand>, <Natura:natura.bow.fusewood>], [<minecraft:piston>, <minecraft:dispenser>, <minecraft:piston>], [<ExtraUtilities:angelBlock>, enderAir, <ExtraUtilities:angelBlock>]]);
recipes.addShapedMirrored(<ProjRed|Expansion:projectred.expansion.machine2:2>, [[<ExtraUtilities:angelBlock>, enderAir, <ExtraUtilities:angelBlock>], [<minecraft:piston>, <minecraft:dispenser>, <minecraft:piston>], [<Natura:natura.bow.fusewood>, <ExtraUtilities:builderswand>, <Natura:natura.bow.fusewood>]]);
#Item Importer
recipes.remove(<ProjRed|Expansion:projectred.expansion.machine2:1>);
recipes.addShapeless(<ProjRed|Expansion:projectred.expansion.machine2:1>, [<ExtraUtilities:extractor_base>, <minecraft:chest>, <minecraft:piston>]);
#Charging Bench
recipes.remove(<ProjRed|Expansion:projectred.expansion.machine2:6>);
recipes.addShaped(<ProjRed|Expansion:projectred.expansion.machine2:6>, [[copper, <ProjRed|Core:projectred.core.part:16>, copper], [<ProjRed|Core:projectred.core.part:16>, copperBlock, <ProjRed|Core:projectred.core.part:16>], [<ProjRed|Expansion:projectred.expansion.battery>, electroIngot, <ProjRed|Expansion:projectred.expansion.battery>]]);
#Teleposer
recipes.remove(<ProjRed|Expansion:projectred.expansion.machine2:7>);
#Frame Motor
recipes.remove(<ProjRed|Expansion:projectred.expansion.machine2:8>);
recipes.addShaped(<ProjRed|Expansion:projectred.expansion.machine2:8>, [[cobalt, ardite, cobalt], [<ProjRed|Core:projectred.core.part:15>, <ProjRed|Core:projectred.core.part:15>, <ProjRed|Core:projectred.core.part:15>], [silver, electroIngot, silver]]);
#Frame Linear Actuator
recipes.remove(<ProjRed|Expansion:projectred.expansion.machine2:9>);
recipes.addShaped(<ProjRed|Expansion:projectred.expansion.machine2:9>, [[cobalt, ardite, cobalt], [<ProjRed|Core:projectred.core.part:16>, ardite, <ProjRed|Core:projectred.core.part:16>], [<ProjRed|Core:projectred.core.part:16>, electroIngot, <ProjRed|Core:projectred.core.part:16>]]);
#Auto Crafting Bench
recipes.remove(<ProjRed|Expansion:projectred.expansion.machine2:11>);
#Jetpack
recipes.remove(<ProjRed|Expansion:projectred.expansion.jetpack>);
recipes.addShaped(<ProjRed|Expansion:projectred.expansion.jetpack>, [[<ProjRed|Expansion:projectred.expansion.battery>, <emeraldobsidianmod:emeraldobsidianmod_obsidianchest>, <ProjRed|Expansion:projectred.expansion.battery>], [<imc:item_colored_flower_pot:10>, <TConstruct:travelBelt>, <imc:item_colored_flower_pot:10>], [redstone, null, redstone]]);


##Railcraft##
#Sulfur
val sulfur = <Natura:barleyFood:4>;
<ore:dustSulfur>.add(sulfur);
#Smoker Fix
recipes.remove(<Railcraft:machine.alpha:5>);
recipes.addShaped(<Railcraft:machine.alpha:5>, [[null, <minecraft:netherrack>, null], [redstone, cauldron, redstone]]);


##Random Things##
#Spectre Upgrades
val spectreHelm = <RandomThings:spectreHelmet>;
val upSpectreHelm = spectreHelm.withTag({display: {Lore: ["You have been", "upgraded"]}});
val fUpSpectreHelm = spectreHelm.onlyWithTag({display: {Lore: ["You have been", "upgraded"]}});
recipes.addShaped(upSpectreHelm, [[spectreIngot, spectreIngot, spectreIngot], [spectreIngot, <RandomThings:spectreHelmet:*>, spectreIngot]]);
recipes.addShapeless(spectreHelm.withTag({Botania_regenIvy:1 as byte, display: {Lore: ["How'd you do that?"]}}), [fUpSpectreHelm, <Botania:regenIvy>]);
val spectrePlate = <RandomThings:spectreChestplate>;
val upSpectrePlate = spectrePlate.withTag({display: {Lore: ["You have been", "upgraded"]}});
val fUpSpectrePlate = spectrePlate.onlyWithTag({display: {Lore: ["You have been", "upgraded"]}});
recipes.addShaped(upSpectrePlate, [[spectreIngot, <RandomThings:spectreChestplate:*>, spectreIngot], [spectreIngot, spectreIngot, spectreIngot], [spectreIngot, spectreIngot, spectreIngot]]);
recipes.addShapeless(spectrePlate.withTag({Botania_regenIvy:1 as byte, display: {Lore: ["How'd you do that?"]}}), [fUpSpectrePlate, <Botania:regenIvy>]);
val spectreLegs = <RandomThings:spectreLeggings>;
val upSpectreLegs = spectreLegs.withTag({display: {Lore: ["You have been", "upgraded"]}});
val fUpSpectreLegs = spectreLegs.onlyWithTag({display: {Lore: ["You have been", "upgraded"]}});
recipes.addShaped(upSpectreLegs, [[spectreIngot, spectreIngot, spectreIngot], [spectreIngot, <RandomThings:spectreLeggings:*>, spectreIngot], [spectreIngot, null, spectreIngot]]);
recipes.addShapeless(spectreLegs.withTag({Botania_regenIvy:1 as byte, display: {Lore: ["How'd you do that?"]}}), [fUpSpectreLegs, <Botania:regenIvy>]);
val spectreBoots = <RandomThings:spectreBoots>;
val upSpectreBoots = spectreBoots.withTag({display: {Lore: ["You have been", "upgraded"]}});
val fUpSpectreBoots = spectreBoots.onlyWithTag({display: {Lore: ["You have been", "upgraded"]}});
recipes.addShaped(upSpectreBoots, [[spectreIngot, <RandomThings:spectreBoots:*>, spectreIngot], [spectreIngot, null, spectreIngot]]);
recipes.addShapedMirrored(upSpectreBoots, [[spectreIngot, null, spectreIngot], [spectreIngot, <RandomThings:spectreBoots:*>, spectreIngot]]);
recipes.addShapeless(spectreBoots.withTag({Botania_regenIvy:1 as byte, display: {Lore: ["How'd you do that?"]}}), [fUpSpectreBoots, <Botania:regenIvy>]);
val spectreSword = <RandomThings:spectreSword>;
val upSpectreSword = spectreSword.withTag({display: {Lore: ["You have been", "upgraded"]}});
val  fUpSpectreSword = spectreSword.onlyWithTag({display: {Lore: ["You have been", "upgraded"]}});
recipes.addShaped(upSpectreSword, [[spectreIngot, spectreIngot, spectreIngot], [<RandomThings:spectreSword:*>, spectreIngot, <RandomThings:spectreSword:*>], [null, <ore:stickObsidian>, null]]);
recipes.addShapedMirrored(upSpectreSword, [[<RandomThings:spectreSword:*>, spectreIngot, <RandomThings:spectreSword:*>], [spectreIngot, spectreIngot, spectreIngot], [null, <ore:stickObsidian>, null]]);
recipes.addShapedMirrored(upSpectreSword, [[null, spectreIngot, null], [spectreIngot, spectreIngot, spectreIngot], [<RandomThings:spectreSword:*>, <ore:stickObsidian>, <RandomThings:spectreSword:*>]]);
recipes.addShapeless(spectreSword.withTag({Botania_regenIvy:1 as byte, display: {Lore: ["How'd you do that?"]}}), [fUpSpectreSword, <Botania:regenIvy>]);
#Seeing nothing of this in NEI
mods.nei.NEI.hide(spectreHelm);
mods.nei.NEI.hide(spectrePlate);
mods.nei.NEI.hide(spectreLegs);
mods.nei.NEI.hide(spectreBoots);
mods.nei.NEI.hide(spectreSword);
mods.nei.NEI.hide(<RandomThings:spectreKey>);
#Other Stuff
recipes.remove(<RandomThings:magneticForce>);
recipes.addShaped(<RandomThings:magneticForce>*5, [[<minecraft:ender_eye>, <minecraft:nether_star>, <minecraft:ender_eye>], [adamantium, emerald, adamantium], [steelSlab, steelSlab, steelSlab]]);
recipes.remove(<RandomThings:imbuingStation>);
recipes.addShaped(<RandomThings:imbuingStation>, [[<minecraft:vine>, cauldron, <minecraft:vine>], [<minecraft:tallgrass:1>, <minecraft:stained_hardened_clay:13>, <minecraft:tallgrass:1>], [<minecraft:waterlily>, emeraldBlock, <minecraft:waterlily>]]);


##Steve's Factory Manager##
#Manager
recipes.remove(<StevesFactoryManager:BlockMachineManagerName:*>);
recipes.addShaped(<StevesFactoryManager:BlockMachineManagerName>, [[quartzBlock, emerald, quartzBlock], [redstoneBlock, <minecraft:sticky_piston>, redstoneBlock], [<minecraft:obsidian>, <IronChest:BlockIronChest>, <minecraft:obsidian>]]);
#Cables
recipes.remove(<StevesFactoryManager:BlockCableName:*>);
recipes.addShaped(invCable*4, [[<minecraft:obsidian>, adamantium, <minecraft:obsidian>], [enderPearl, <minecraft:glowstone>, <minecraft:sticky_piston>], [<minecraft:obsidian>, goldPressPlate, <minecraft:obsidian>]]);
recipes.addShapedMirrored(invCable*4, [[<minecraft:obsidian>, adamantium, <minecraft:obsidian>], [<minecraft:sticky_piston>, <minecraft:glowstone>, enderPearl], [<minecraft:obsidian>, goldPressPlate, <minecraft:obsidian>]]);
recipes.remove(<StevesFactoryManager:BlockCableRelayName:*>);
recipes.addShapeless(<StevesFactoryManager:BlockCableRelayName>, [invCable, <minecraft:hopper>, quartz]);
recipes.addShapeless(<StevesFactoryManager:BlockCableRelayName:8>, [<StevesFactoryManager:BlockCableRelayName>, <minecraft:blaze_powder>, lapis]);
recipes.remove(<StevesFactoryManager:BlockCableOutputName:*>);
recipes.addShapeless(<StevesFactoryManager:BlockCableOutputName>, [invCable, redstoneBlock, redstoneBlock]);
recipes.remove(<StevesFactoryManager:BlockCableInputName:*>);
recipes.addShapeless(<StevesFactoryManager:BlockCableInputName>, [invCable, <minecraft:comparator>]);
recipes.remove(<StevesFactoryManager:BlockCableIntakeName:*>);
recipes.addShapeless(<StevesFactoryManager:BlockCableIntakeName>, [invCable, <minecraft:hopper>, <minecraft:dropper>, <minecraft:piston>, redstone]);
recipes.addShapeless(<StevesFactoryManager:BlockCableIntakeName:8>, [<StevesFactoryManager:BlockCableIntakeName>, gold, redstoneBlock]);
recipes.remove(<StevesFactoryManager:BlockCableBUDName:*>);
recipes.addShapeless(<StevesFactoryManager:BlockCableBUDName>, [invCable, <ExtraUtilities:budoff:3>]);
recipes.remove(<StevesFactoryManager:BlockCableBreakerName:*>);
recipes.addShapeless(<StevesFactoryManager:BlockCableBreakerName>, [invCable, <OpenBlocks:blockbreaker>, <OpenBlocks:blockPlacer>]);
recipes.remove(<StevesFactoryManager:BlockCableClusterName:*>);
recipes.addShapeless(<StevesFactoryManager:BlockCableClusterName>, [invCable, <minecraft:ender_eye>, <minecraft:ender_eye>, <minecraft:ender_eye>]);
recipes.addShapeless(<StevesFactoryManager:BlockCableClusterName:8>, [<StevesFactoryManager:BlockCableClusterName>, invCable, invCable, invCable, invCable, invCable, invCable, invCable, invCable]);
recipes.remove(<StevesFactoryManager:BlockCableCamouflageName:*>);
recipes.addShapeless(<StevesFactoryManager:BlockCableCamouflageName>, [invCable, <chisel:woolen_clay:14>, <chisel:woolen_clay:13>, <chisel:woolen_clay:11>, <secretroomsmod:CamoflaugePaste>]);
recipes.addShapeless(<StevesFactoryManager:BlockCableCamouflageName:1>, [<StevesFactoryManager:BlockCableCamouflageName>, <StevesFactoryManager:BlockCableCamouflageName>, <secretroomsmod:OneWayGlass>, <secretroomsmod:OneWayGlass>]);
recipes.addShapeless(<StevesFactoryManager:BlockCableCamouflageName:2>, [<StevesFactoryManager:BlockCableCamouflageName:1>, <secretroomsmod:SolidAir>, <secretroomsmod:GhostBlock>]);
recipes.remove(<StevesFactoryManager:BlockCableSignName:*>);
recipes.addShapeless(<StevesFactoryManager:BlockCableSignName>, [invCable, <minecraft:feather>, <minecraft:dye:0>, <minecraft:sign>, redstone]);
recipes.remove(<StevesAddons:cable_rf>);
recipes.addShaped(<StevesAddons:cable_rf>, [[null, <ExtraUtilities:extractor_base:12>, null], [<ExtraUtilities:pipes:11>, invCable, <ExtraUtilities:pipes:11>], [null, <ExtraUtilities:pipes:14>, null]]);


##Steve's Workshop##
#Workshop
recipes.remove(<StevesWorkshop:production_table>);
recipes.addShaped(<StevesWorkshop:production_table>, [[<minecraft:crafting_table>, <minecraft:furnace>, <minecraft:crafting_table>], [<minecraft:obsidian>, <StevesWorkshop:production_table_upgrade>, <minecraft:obsidian>], [<minecraft:obsidian>, emerald, <minecraft:obsidian>]]);
#Upgrades#
recipes.remove(<StevesWorkshop:production_table_upgrade:*>);
#Blank
recipes.addShaped(<StevesWorkshop:production_table_upgrade> * 3, [[<minecraft:stone>, <minecraft:stone>, <minecraft:stone>], [<minecraft:brick>, <minecraft:brick>, <minecraft:brick>], [<minecraft:netherrack>, <minecraft:netherrack>, <minecraft:netherrack>]]);
#Auto Crafter
recipes.addShaped(<StevesWorkshop:production_table_upgrade:1>, [[<minecraft:piston>, redstoneBlock, <minecraft:piston>], [adamantium, emerald, adamantium], [<minecraft:hopper>, <StevesWorkshop:production_table_upgrade>, <minecraft:hopper>]]);
#Extra Storage
recipes.addShapeless(<StevesWorkshop:production_table_upgrade:2>, [<minecraft:chest>, <minecraft:slime_ball>, <StevesWorkshop:production_table_upgrade>]);
#Charger
recipes.addShaped(<StevesWorkshop:production_table_upgrade:3>, [[gold, redstone, gold], [<minecraft:glowstone_dust>, <StevesWorkshop:production_table_upgrade>, <minecraft:glowstone_dust>], [copper, <minecraft:blaze_powder>, copper]]);
recipes.addShapedMirrored(<StevesWorkshop:production_table_upgrade:3>, [[copper, redstone, copper], [<minecraft:glowstone_dust>, <StevesWorkshop:production_table_upgrade>, <minecraft:glowstone_dust>], [gold, <minecraft:blaze_powder>, gold]]);
#Production Speed
recipes.addShaped(<StevesWorkshop:production_table_upgrade:4>, [[<minecraft:glowstone>, emerald, <minecraft:glowstone>], [lapisBlock, <StevesWorkshop:production_table_upgrade>, quartzBlock], [<minecraft:blaze_rod>, redstoneBlock, <minecraft:blaze_rod>]]);
recipes.addShapedMirrored(<StevesWorkshop:production_table_upgrade:4>, [[<minecraft:glowstone>, emerald, <minecraft:glowstone>], [quartzBlock, <StevesWorkshop:production_table_upgrade>, lapisBlock], [<minecraft:blaze_rod>, redstoneBlock, <minecraft:blaze_rod>]]);
#Input Queue
recipes.addShaped(<StevesWorkshop:production_table_upgrade:5>, [[<minecraft:soul_sand>, <minecraft:soul_sand>, <minecraft:soul_sand>], [gold, <StevesWorkshop:production_table_upgrade>, gold], [<minecraft:soul_sand>, <minecraft:soul_sand>, <minecraft:soul_sand>]]);
#Fuel Efficiency
recipes.addShaped(<StevesWorkshop:production_table_upgrade:6>, [[<minecraft:blaze_rod>, diamond, <minecraft:blaze_rod>], [<Natura:NetherFurnace>, <StevesWorkshop:production_table_upgrade>, <Natura:NetherFurnace>], [lapisBlock, <minecraft:coal_block>, lapisBlock]]);
#Lava Generator
recipes.addShaped(<StevesWorkshop:production_table_upgrade:7>, [[<Natura:NetherFurnace>, diamondBlock, <Natura:NetherFurnace>], [<minecraft:blaze_rod>, <StevesWorkshop:production_table_upgrade>, <minecraft:blaze_rod>], [adamantium, <minecraft:blaze_powder>, adamantium]]);
#Solar Generator
recipes.addShaped(<StevesWorkshop:production_table_upgrade:8>, [[<minecraft:glowstone>, <minecraft:glass>, <minecraft:glowstone>], [<minecraft:glowstone>, diamondBlock, <minecraft:glowstone>], [<minecraft:glowstone>, <minecraft:furnace>, <minecraft:glowstone>]]);
#Auto Transfer
recipes.addShaped(<StevesWorkshop:production_table_upgrade:9>, [[goldPressPlate, ironPressPlate, goldPressPlate], [<minecraft:hopper>, <StevesWorkshop:production_table_upgrade>, <minecraft:hopper>], [goldPressPlate, ironPressPlate, goldPressPlate]]);
#Filter
recipes.addShaped(<StevesWorkshop:production_table_upgrade:10>, [[iron, <minecraft:paper>, iron], [goldPressPlate, <minecraft:iron_bars>, goldPressPlate], [redstone, <StevesWorkshop:production_table_upgrade>, redstone]]);
#Transfer Capacity
recipes.addShaped(<StevesWorkshop:production_table_upgrade:11>, [[iron, ironPressPlate, iron], [<minecraft:hopper>, redstoneBlock, <minecraft:hopper>], [gold, <StevesWorkshop:production_table_upgrade>, gold]]);


##Tinkers' Construct##
<ore:Aluminum>.remove(<pixelmon:Bauxite>);
#Pattern  Remove
mods.tconstruct.Tweaks.removeRepairMaterial(planks);
mods.tconstruct.Tweaks.removeRepairMaterial(<minecraft:flint>);
mods.tconstruct.Tweaks.removeRepairMaterial(<minecraft:cactus>);
mods.tconstruct.Tweaks.removeRepairMaterial(<minecraft:bone>);
mods.tconstruct.Tweaks.removeRepairMaterial(<minecraft:dye:15>);
mods.tconstruct.Tweaks.removeRepairMaterial(<minecraft:netherrack>);
mods.tconstruct.Tweaks.removeRepairMaterial(<minecraft:stone>);
mods.tconstruct.Tweaks.removeRepairMaterial(<minecraft:cobblestone>);
mods.tconstruct.Tweaks.removeRepairMaterial(<TConstruct:materials:1>);
mods.tconstruct.Tweaks.removeRepairMaterial(<TConstruct:materials:17>);
mods.tconstruct.Tweaks.removeRepairMaterial(<ExtraUtilities:decorativeBlock1:8>);
mods.tconstruct.Tweaks.removeRepairMaterial(<minecraft:paper>);
mods.tconstruct.Tweaks.removeRepairMaterial(<minecraft:string>);
#Obsidian Nerf
mods.tconstruct.ToolStats.setDurability("Obsidian", 0);
mods.tconstruct.ToolStats.setSpeed("Obsidian", 0);
mods.tconstruct.ToolStats.setHarvestLevel("Obsidian", 0);
mods.tconstruct.ToolStats.setDamage("Obsidian", 0);
mods.tconstruct.ToolStats.setHandleModifier("Obsidian", 0);
#Casting Remove
mods.tconstruct.Casting.removeTableRecipe(<TConstruct:metalPattern:2>);
mods.tconstruct.Casting.removeTableRecipe(<TConstruct:metalPattern:3>);
mods.tconstruct.Casting.removeTableRecipe(<TConstruct:metalPattern:4>);
mods.tconstruct.Casting.removeTableRecipe(<TConstruct:metalPattern:5>);
mods.tconstruct.Casting.removeTableRecipe(<TConstruct:metalPattern:10>);
mods.tconstruct.Casting.removeTableRecipe(<TConstruct:metalPattern:11>);
mods.tconstruct.Casting.removeTableRecipe(<TConstruct:metalPattern:12>);
mods.tconstruct.Casting.removeTableRecipe(<TConstruct:metalPattern:17>);
mods.tconstruct.Casting.removeTableRecipe(<TConstruct:metalPattern:19>);
mods.tconstruct.Casting.removeTableRecipe(<TConstruct:metalPattern:20>);
mods.tconstruct.Casting.removeTableRecipe(<TConstruct:metalPattern:21>);
#Green Heart Canister
recipes.addShaped(<TConstruct:heartCanister:5>, [[<minecraft:nether_star>, <Botania:manaResource:14>, <minecraft:nether_star>], [<ExtraUtilities:decorativeBlock1:11>, <TConstruct:heartCanister:3>, <ExtraUtilities:decorativeBlock1:11>], [<TwilightForest:item.hydraChop>, unstableBlock, <TwilightForest:item.experiment115>]]);
recipes.addShapedMirrored(<TConstruct:heartCanister:5>, [[<minecraft:nether_star>, <Botania:manaResource:14>, <minecraft:nether_star>], [<ExtraUtilities:decorativeBlock1:11>, <TConstruct:heartCanister:3>, <ExtraUtilities:decorativeBlock1:11>], [<TwilightForest:item.experiment115>, unstableBlock, <TwilightForest:item.hydraChop>]]);
recipes.addShapeless(<TConstruct:heartCanister:6>, [<TConstruct:heartCanister:4>, <TConstruct:heartCanister:5>, <ExtraUtilities:cobblestone_compressed:10>, <ExtraUtilities:cobblestone_compressed:7>, <ExtraUtilities:cobblestone_compressed:13>, <witchery:ingredient:98>]);
#Ore Doubling Fixes
mods.tconstruct.Smeltery.removeMelting(<denseores:block1:14>);
mods.tconstruct.Casting.removeTableRecipe(<pixelmon:item.Aluminium_Ingot>);
mods.tconstruct.Smeltery.addMelting(<pixelmon:Bauxite>, <liquid:invar.molten> * 288, 350, <pixelmon:Bauxite>);
mods.tconstruct.Casting.addTableRecipe(<pixelmon:item.Aluminium_Ingot>, <liquid:invar.molten> * 144, <TConstruct:metalPattern>, false, 20);
mods.tconstruct.Smeltery.addMelting(<ProjRed|Exploration:projectred.exploration.ore:5>, <liquid:silver.molten> * 288, 350, <ProjRed|Exploration:projectred.exploration.ore:5>);
mods.tconstruct.Casting.addTableRecipe(projRedSilver, <liquid:silver.molten> * 144, <TConstruct:metalPattern>, false, 20);
mods.tconstruct.Smeltery.addMelting(<imc:block_adamantium_ore>, <liquid:enderium.molten> * 288, 350, <imc:block_adamantium_ore>);
mods.tconstruct.Casting.addTableRecipe(adamantium, <liquid:enderium.molten> * 144, <TConstruct:metalPattern>, false, 20);
mods.tconstruct.Smeltery.addMelting(<arsmagica2:vinteumOre>, <liquid:mithril.molten> * 288, 350, <arsmagica2:vinteumOre>);
mods.tconstruct.Casting.addTableRecipe(<arsmagica2:itemOre>, <liquid:mithril.molten> * 144, <TConstruct:metalPattern>, false, 20);
mods.tconstruct.Casting.addTableRecipe(aluminum, <liquid:aluminum.molten> * 144, <TConstruct:metalPattern>, false, 20);


##Twilight Forest##
mods.railcraft.BlastFurnace.addRecipe(ardite, true, false, 2560, <TwilightForest:item.fieryIngot>);


##Witchery##
#Blocks
recipes.remove(<witchery:witchesovenidle>);
recipes.addShaped(<witchery:witchesovenidle>, [[<secretroomsmod:SolidAir>, <chisel:iron_bars:9>, <secretroomsmod:SolidAir>], [<TwilightForest:item.fieryIngot>, <TConstruct:materials:34>, <TwilightForest:item.fieryIngot>], [goldBlock, ironBlock, goldBlock]]);
recipes.remove(<witchery:wolfaltar>);
recipes.addShaped(<witchery:wolfaltar>, [[null, <witchery:wolfhead:*>, null], [<witchery:wolfhead:*>, <witchery:ingredient:156>, <witchery:wolfhead:*>], [steelBlock, <TConstruct:heavyPlate:18>, steelBlock]]);
recipes.remove(<witchery:ingredient:153>);
recipes.addShapeless(<witchery:ingredient:153>, [<witchery:seedsartichoke>, <witchery:seedsmandrake>, <witchery:seedsbelladonna>, <witchery:seedssnowbell>, <harvestcraft:saltItem>, <minecraft:gunpowder>, <minecraft:glowstone_dust>, diamond]);
recipes.remove(<witchery:kettle>);
recipes.addShaped(<witchery:kettle>, [[<ore:stickWood>, <minecraft:string>, <ore:stickWood>], [<minecraft:string>, <witchery:ingredient:10>, <minecraft:string>], [null, cauldron, null]]);
#Silver Fix
recipes.removeShaped(<witchery:silversword>, [[projRedSilver], [projRedSilver], [<minecraft:golden_sword>]]);
recipes.addShaped(projRedSilver, [[silverPile, silverPile, silverPile], [silverPile, silverPile, silverPile], [silverPile, silverPile, silverPile]]);


#recipes.addShaped(<>, [[<>, <>, <>], [<>, <>, <>], [<>, <>, <>]]);